package eu.maiora.model

import kotlinx.datetime.LocalDate
import kotlinx.datetime.LocalDateTime
import kotlinx.serialization.Serializable

@Serializable
data class ViewPrenotazioniPasti(
    val id: Long,
    val idPrenotazione: Long,
    val idStato: Long,
    val stato: String,
    val idTessera: Long,
    val idSlotPuntoCassa: Long,
    val giorno: LocalDate,
    val turno: String,
    val dataInizio: LocalDateTime,
    val dataLimiteCancellazione: LocalDateTime,
    val idVassoio: Long,
    val codiceRistocloud: String? = null,
    val importoPagato: Double,
    var listaProdottiPrenotati: List<PrenotazioniPastiDettaglio>? = null

)